Name:		qt-update-notifier
Version:	1.6.6
Release:	%mkrel 2
Summary:	KDE technology based PCLinuxOS update notifier tray application
Summary(de):	Zeigt Benachrichtigungen über verfügbare Aktualisierungen im Systray, dafür wird KDE Technologie benutzt.
License:	GPLv2
URL:		https://github.com/mhogomchungu/qt-update-notifier/releases
Source:		%{name}-%{version}.tar.xz
Source1:	qt-update-notifier-autostart.desktop
Group:		Graphical desktop/KDE4
BuildRequires:	qtbase5-devel
BuildRequires:	cmake
BuildRequires:	%{_lib}ssh2-devel
Conflicts:	%{name}-nokde >= 1.5.3
Obsoletes:	%{name}-nokde < 1.6.5
Obsoletes:	%{name} < 1.6.5

%description
This project seeks to provide a KDE technology based PCLinuxOS update notifier tray application

%description -l de
Dieses Paket bietet einen Dienst der im Systray anzeigt, ob Aktualisierungen für Ihr PCLinuxOS
System verfügbar sind. Dieses Programm baut auf der KDE Technologie auf.

%prep
%setup -q

%build
%cmake_qt5 -DQT5_BUILD=true
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#resize taskbar images to something sane
find %buildroot/ -name "*.png" -exec mogrify -resize 32x32 '{}' \;

install -m 0644 %SOURCE1 %buildroot/%{_sysconfdir}/xdg/autostart/qt-update-notifier-autostart.desktop


#fix permission on desktop file
chmod 0644 %buildroot/%{_datadir}/applications/qt-update-notifier.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README.md changelog
%{_bindir}/qt-update-notifier
%{_bindir}/qt-update-notifier-cli
%{_datadir}/applications/qt-update-notifier.desktop
%{_datadir}/icons/*.png
%{_datadir}/%{name}-translations/*.qm
%{_sysconfdir}/xdg/autostart/qt-update-notifier-autostart.desktop

%changelog
* Sun Jun 26 2016 ghostbunny <ghostbunny at gmx dot de> 1.6.6-2pclos2016
- git snapshot for test section that hopefully fixes the previous problems

* Sat May 28 2016 ghostbunny <ghostbunny at gmx dot de> 1.6.6-1pclos2016
- 1.6.6
- qt5 only now, drop qjson dependency qt5 has it own json implementation

* Sat Oct 24 2015 pp <pp> 1.6.4-1pclos2015
- update

* Wed Sep 22 2015 ghostbunny <ghostbunny at gmx dot de> 1.6.3-1pclos2015
- 1.6.3

* Wed Aug 05 2015 ghostbunny <ghostbunny at gmx dot de> 1.6.2-1pclos2015
- 1.6.2

* Wed Sep 10 2014 pinoc < vogtpet at gmail.com > 1.6.1-1pclos2014
- 1.6.1

* Tue Aug 26 2014 ghostbunny <ghostbunny at gmx dot de> 1.6.0-1pclos2014
- 1.6.0

* Mon Aug 18 2014 ghostbunny <ghostbunny at gmx dot de> 1.5.9-1pclos2014
- 1.5.9
- add BR libssh2-devel

* Mon Jun 16 2014 pinoc < vogtpet at gmail.com > 1.5.8-1pclos2014
- 1.5.8

* Sat May 31 2014 ghostbunny <ghostbunny at gmx dot de> 1.5.7-1pclos2014
- 1.5.7

* Thu May 22 2014 bb <bb> 1.5.6-2pclos2014
- resize taskbar images
- add support for MATE in qt-update-notifier-autostart.desktop
- fix permission on desktop file
- add install macro to specfile

* Sun May 18 2014 ghostbunny <ghostbunny at gmx dot de> 1.5.6-1pclos2014
- 1.5.6

* Wed May 14 2014 ghostbunny <ghostbunny at gmx dot de> 1.5.5-1pclos2014
- 1.5.5
- add BR libqjson-devel

* Thu Apr 10 2014 ghostbunny <ghostbunny at gmx dot de> 1.5.4-1pclos2014
- 1.5.4
- fix files section

* Sun Mar 23 2014 ghostbunny <ghostbunny at gmx dot de> 1.5.3-1pclos2014
- 1.5.3
- split package into a pure qt and a kde package to avoid installing the 
  kde lib environment on non kde systems

* Thu Jan 23 2014 pinoc < vogtpet at gmail.com > 1.5.2-1pclos2014
- 1.5.2

* Mon Jan 13 2014 pinoc < vogtpet at gmail.com > 1.5.1-1pclos2014
- 1.5.1

* Fri Nov 22 2013 ghostbunny <ghostbunny at gmx dot de> 1.5.0-1pclos2013
- 1.5.0

* Mon Nov 18 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.9-1pclos2013
- 1.4.9

* Tue Oct 15 2013 billybot <billybot> 1.4.8-2pclos2013
- readd rpmgroup again Graphical desktop/KDE4

* Sat Oct 12 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.8-1pclos2013
- 1.4.8

* Fri Aug 30 2013 pinoc < vogtpet @gmail.com > 1.4.7-1pclos2013
- 1.4.7

* Tue Aug 27 2013 pinoc < vogtpet @gmail.com > 1.4.6-1pclos2013
- 1.4.6

* Sun Aug 11 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.5-1pclos2013
- 1.4.5

* Sun Jul 14 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.4.3-1pclos2013
- 1.4.3
- fixed files section

* Fri May 24 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.2-4pclos2013
- update to current git snapshot

* Thu May 23 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.2-3pclos2013
- update to current git snapshot

* Thu May 23 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.2-2pclos2013
- update to current git snapshot

* Wed May 22 2013 ghostbunny <ghostbunny at gmx dot de> 1.4.2-1pclos2013
- 1.4.2
- fixed files section for translations

* Thu May 16 2013 pinoc < vogtpet @gmail.com > 1.4.1-1pclos2013
- 1.4.1

* Mon May 13 2013 pinoc < vogtpet @gmail.com > 1.4.0-1pclos2013
- 1.4.0

* Thu May 09 2013 pinoc < vogtpet @gmail.com > 1.3.6-1pclos2013
- 1.3.6 

* Sun Apr 28 2013 pinoc < vogtpet @gmail.com > 1.3.5-1pclos2013
- 1.3.5 (fix tray icon bug)

* Sun Apr 28 2013 pinoc < vogtpet @gmail.com > 1.3.4-1pclos2013
- 1.3.4 (fix a bug from improperly update of the icon in the 
version feature above in version 1.3.3)

* Sun Apr 28 2013 pinoc < vogtpet @gmail.com > 1.3.3-1pclos2013
- 1.3.3 (fixed Synaptic crash when started from tray-icon)

* Sun Apr 28 2013 pinoc < vogtpet @gmail.com > 1.3.2-1pclos2013
- 1.3.2

* Sun Apr 21 2013 pinoc < vogtpet @gmail.com > 1.3.1-1pclos2013
- 1.3.1

* Sun Apr 21 2013 pinoc < vogtpet @gmail.com > 1.3.0-3pclos2013
- rebuild for 32/64 (wrong version upload before)

* Wed Mar 27 2013 pinoc < vogtpet @gmail.com > 1.3.0-2pclos2010
- processed for 32/64

* Wed Feb 27 2013 Sling Shot <sling-shot at lycos.com> 1.3.0-1slingshot2013
- Initial package - 1.3.0
